petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESComputeNGS

Calls the Gauss-Seidel function that has been set with SNESSetNGS().

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESComputeNGS(SNES snes,Vec b,Vec x)

Collective on SNES Many br

### Input Parameters

| snes | - the SNES context Many br
| x | - input vector Many br
| b | - rhs vector Many br

### Output Parameter

x -new solution vector Many br

### Notes

SNESComputeNGS() is typically used within composed nonlinear solver Many brimplementations, so most users would not generally call this routine Many brthemselves. Many br

Many br

### Keywords

SNES, nonlinear, compute, function

### See Also

SNESSetNGS(), SNESComputeFunction()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages